package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbageRegion;
import com.lightinit.hsdatashow.entity.GarbageRegionExample;
import com.lightinit.hsdatashow.model.admin.GarbagedangerModel;
import com.lightinit.hsdatashow.model.ms.GarbageRegionModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GarbageRegionMapper {
    long countByExample(GarbageRegionExample example);

    int deleteByExample(GarbageRegionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GarbageRegion record);

    int insertSelective(GarbageRegion record);

    List<GarbageRegion> selectByExample(GarbageRegionExample example);

    GarbageRegion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GarbageRegion record, @Param("example") GarbageRegionExample example);

    int updateByExample(@Param("record") GarbageRegion record, @Param("example") GarbageRegionExample example);

    int updateByPrimaryKeySelective(GarbageRegion record);

    int updateByPrimaryKey(GarbageRegion record);

    List<GarbagedangerModel> getGarbageRegion();

    List<GarbageRegionModel> selectList(GarbageRegionExample example);

    long selectCount(GarbageRegionExample example);

    GarbageRegionModel findByRegionId(Long id);
}